function find_objects_by_datatype(datatype, query)
	local objects 
	if datatype then 
		objects = grp.dpt(datatype) 
	else 
		objects = grp.all() 
	end 

	local res = {} 
	for _, object in ipairs(objects) do
		local name = object.name and object.name .. " (" .. object.address .. ")" or object.address
		table.insert(res, {
			id = object.address, 
			text = name
		})
	end 	
	
	if query then 
		res  = _filter_query(res, query) 
	end 
	
	return res 
end 


function _filter_query(objects, query) 
	local res = {} 
	for _, object in ipairs(objects) do 
		if object.text:lower():find(query:lower()) then
			table.insert(res, object)
		end 
	end 
	return res 
end 

